# Hugo variables
# full variable list on https://gohugo.io/getting-started/configuration/#all-variables-yaml
baseurl = "https://hacklabcormano.gitlab.io/hacklabcormano.it/"
languageCode = "it-it"
title = "HackLab Cormano v0.04"
theme = "hacklabcormano-hugo-theme"
# number of posts to show on home/category/tag pages (Default: 10)
paginate = 6
# optionally override the site's footer with custom copyright text
copyright = "Tranne ove diversamente specificato, i contenuti di questo sito sono distribuiti con licenza [Creative Commons Atribution Share Alike 4.0 International license](https://creativecommons.org/licenses/by-sa/4.0/)."

# PLEASE do not use proprietary SaSS like the following one
#googleAnalytics = "UA-123-45"
#disqusShortname = "XYW"

[permalinks]
  post = "/:year/:month/:title/"
  page = "/:slug/"

[[menu.sidebar]]
  name = "Biblioteca di Cormano"
  url = "http://webopac.csbno.net/library/cormano"

# custom navbar menu entry.   See the custom_navbar parameter below for
# details.

[[menu.navbar]]
  name = "Wiki"
  url = "https://gitlab.com/HackLabCormano/hacklabcormano.it/wikis/home"

# Theme variables
#
[params]
  # Site author
  author = "Associzione HackLab Cormano"

  # Description/subtitle for homepage (can be Markdown)
  description = "Free Hacking, Free Society"

  # Format dates with Go's time formatting
  date_format = "Lun 02/01/2006"

  # verification string for Google Webmaster Tools
  #google_verify_meta = "BAi57DROASu4b2mkVNA_EyUsobfA7Mq8BmSg7Rn-Zp9"

  # verification string for Bing Webmaster Tools
  #bing_verify_meta = "3DA353059F945D1AA256B1CD8A3DA847"

  # verification string for Yandex Webmaster Tools
  #yandex_verify_meta = "66b077430f35f04a"

  # Optionally display a message about the site's use of cookies, which may be
  # required for your site in the European Union. Set the parameter below to a
  # page where the user can get more information about cookies, either on your
  # site or externally, for example:
  #cookie_consent_info_url = "/cookie-information/"
  #cookie_consent_info_url = "http://cookiesandyou.com"

  # customise the contents of the navbar at the top of the page.  The default
  # behaviour is to list all static pages not in the posts directory. When the
  # parameter below is set to true you will have to manually add entries to the
  # navbar, either by adding the following menu variable to the front matter of
  # the relevant pages
  #   menu = "navbar"
  # or by specifying menu entries in a similar way to the sidebar menu above.
  custom_navbar = true

  # show sharing icons on pages/posts (default: true)
  #sharingicons = true

  # Display post summaries instead of content in list templates (default: true)
  #truncate = true

  # Disable the use of sub-resource integrity on CSS/JS assets (default: false)
  # Useful if you're using a CDN or other host where you can't control cache headers
  #disable_sri = false

  [params.sidebar]
    # Optional about block for sidebar (can be Markdown)
    about = "La **Cultura Hacker** è un approccio costruttivo di *partecipazione alla nostra società*, intendiamo contribuire alla conoscenza e diffusione del significato originale dei termini [*hacker*](https://www.cs.berkeley.edu/~bh/hacker.html), *hacking* e [*hacklab*](https://en.wikipedia.org/wiki/Hackerspace)"

    # How many posts to show on the sidebar (Default: 5)
    num_recent_posts = 3

  [params.social]
    # Optional, used for attribution in Twitter cards (ideally not a person
    # for example: nytimes, flickr, NatGeo, etc).
    # See: https://dev.twitter.com/cards/types/summary-large-image
    # twitter = "username"

# Default content language for Hugo 0.17's multilingual support (default is "en")
# See: https://github.com/spf13/hugo/blob/master/docs/content/content/multilingual.md
defaultContentLanguage = "it"

# Languages to render
[languages.it]
[languages.en]
#[languages.bg]

# vim: ts=2 sw=2 et
